classification
Title: Source installation sets incorrect permissions for Grammar3.2.3.final.0.pickle
Type: behavior Stage: resolved
Components: Installation Versions: Python 3.2
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, eric.araujo, gregory.p.smith, tpievila
Priority: normal Keywords:

Created on 2012-07-10 07:21 by tpievila, last changed 2021-10-20 23:09 by gregory.p.smith. This issue is now closed.

Messages (5)
msg165171 - (view) Author: Tomi Pieviläinen (tpievila) Date: 2012-07-10 07:21
/usr/local/lib/python3.2/lib2to3/Grammar3.2.3.final.0.pickle is readable only by root after installing with make install from the source package. This makes at least installing distribute fail, and thus makes virtualenv, tox etc. unusable.
msg165172 - (view) Author: Tomi Pieviläinen (tpievila) Date: 2012-07-10 07:25
Also PatternGrammar3.2.3.final.0.pickle is missing the read permissions.
msg165443 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-07-14 12:44
How did you configure and build?  If you ran make as root it may explain this.
msg165573 - (view) Author: Tomi Pieviläinen (tpievila) Date: 2012-07-16 06:38
On Sat, Jul 14, 2012 at 12:44:46PM +0000, Éric Araujo wrote:
> 
> Éric Araujo <merwok@netwok.org> added the comment:
> 
> How did you configure and build?  If you ran make as root it may explain this.

Indeed I did do it as root for all steps. The umask for root was 022,
however.
msg404537 - (view) Author: Gregory P. Smith (gregory.p.smith) * (Python committer) Date: 2021-10-20 23:09
workaround: don't run make as root.  run configure & make in a user account and only run your final make install as root after that.  (sudo make install or whatnot)

2to3 and lib2to3 are deprecated so this won't be getting fixed (though it's more of a Makefile issue)
History
Date User Action Args
2021-10-20 23:09:41gregory.p.smithsetstatus: pending -> closed

nosy: + gregory.p.smith
messages: + msg404537

resolution: wont fix
stage: resolved
2021-10-20 23:03:54gregory.p.smithlinkissue36313 superseder
2017-02-19 13:21:07serhiy.storchakasetstatus: open -> pending
2012-07-16 06:38:51tpievilasetmessages: + msg165573
2012-07-14 12:44:46eric.araujosetnosy: + eric.araujo
messages: + msg165443
2012-07-10 23:43:24pitrousetnosy: + benjamin.peterson
2012-07-10 07:25:27tpievilasetmessages: + msg165172
2012-07-10 07:21:17tpievilacreate